<kd-card role="table"
         [hidden]=false>
  <div title
       fxLayout="row"
       i18n>Hierarchy management</div>
  <div description></div>
  <div actions>
    <kd-card-list-filter></kd-card-list-filter>
  </div>
  <div content
       [hidden]="false">
    <mat-grid-list cols="2" rowHeight="2:1">
      <mat-grid-tile>
        <mat-chip-list #chipList>
          <mat-chip
            class="example-box"
            [removable]="true" (removed)="removeFromHierarchy(entry.hierarchy)"
            cdkDrag
            *ngFor="let entry of getHierarchies()">
            {{entry.hierarchy}}:{{entry.path}}
            <mat-icon matChipRemove>cancel</mat-icon>
          </mat-chip>
        </mat-chip-list>
      </mat-grid-tile>
      <mat-grid-tile>
        <form class="example-form" [formGroup]="myForm" (ngSubmit)="onSubmit()">
          <mat-form-field class="example-full-width">
            <mat-label>Name of the hierarchy</mat-label>
            <input matInput placeholder="Hierarchy name" value="user-hierarchy" formControlName="hierarchy">
          </mat-form-field>
          <mat-form-field class="example-full-width">
            <mat-label>Path in the hierarchy</mat-label>
            <input matInput placeholder="Correct path" value="/" formControlName="path">
          </mat-form-field>
          <button mat-stroked-button type="submit" [disabled]="!myForm.valid" style="width:100%">Submit</button>
        </form>
      </mat-grid-tile>
    </mat-grid-list>
  </div>
</kd-card>
